OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_TransientListBinder Class Reference

This binder binds several (a list of) Transients with a starting
entity, when this entity itself corresponds to a simple list
of Transients. Each part is not seen as a sub-result of an
independant componant, but as an item of a built-in list
.

`#include <Transfer_TransientListBinder.hxx>`

Inheritance diagram for Transfer_TransientListBinder:

[legend]

## Public Member Functions
Standard_EXPORT | Transfer_TransientListBinder ()
Standard_EXPORT | Transfer_TransientListBinder (const Handle(TColStd_HSequenceOfTransient)&list)
virtual Standard_EXPORT Standard_Boolean | IsMultiple () const
| Returns True if a Binder has several results, either by itself or because it has next results Can be defined by sub-classes. .
Standard_EXPORT Handle_Standard_Type | ResultType () const
| Returns the Type which characterizes the Result (if known) .
Standard_EXPORT Standard_CString | ResultTypeName () const
| Returns the Name of the Type which characterizes the Result Can be returned even if ResultType itself is unknown .
Standard_EXPORT void | AddResult (const Handle(Standard_Transient)&res)
| Adds an item to the result list .
Standard_EXPORT Handle_TColStd_HSequenceOfTransient | Result () const
Standard_EXPORT void | SetResult (const Standard_Integer num, const Handle(Standard_Transient)&res)
| Changes an already defined sub-result .
Standard_EXPORT Standard_Integer | NbTransients () const
Standard_EXPORT const Handle_Standard_Transient & | Transient (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HSequenceOfTransient | theres

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_TransientListBinder::Transfer_TransientListBinder | ( |  | ) |

Standard_EXPORT Transfer_TransientListBinder::Transfer_TransientListBinder | ( | const Handle(TColStd_HSequenceOfTransient)& | list | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_TransientListBinder::AddResult | ( | const Handle(Standard_Transient)& | res | ) |

Standard_EXPORT const Transfer_TransientListBinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Binder.

virtual Standard_EXPORT Standard_Boolean Transfer_TransientListBinder::IsMultiple | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Binder.

Standard_EXPORT Standard_Integer Transfer_TransientListBinder::NbTransients | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfTransient Transfer_TransientListBinder::Result | ( |  | ) | const

Standard_EXPORT Handle_Standard_Type Transfer_TransientListBinder::ResultType | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT Standard_CString Transfer_TransientListBinder::ResultTypeName | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT void Transfer_TransientListBinder::SetResult | ( | const Standard_Integer | num,
|  | const Handle(Standard_Transient)& | res
| ) |

Standard_EXPORT const Handle_Standard_Transient& Transfer_TransientListBinder::Transient | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfTransient Transfer_TransientListBinder::theres`[private]`

The documentation for this class was generated from the following file:

- Transfer_TransientListBinder.hxx